var OperationModes = {
    Off : 0,
    Comfort : 1,
    Eco : 2,
    NotUsed : 3,
    Night : 4,
    Holiday : 5,
    Cooling : 6,
    CoolingOff : 7,
    Manual : 8,
    nothing : -1,
    transparent : -2
};

var StateValue = {
    active:1,
    inactive:2
};

var SystemStatus = {
    off : 'off',
    heating : 'Heating',
    cooling : 'Cooling'
};

var ControlModes = {
    cControlModeOff : 0,
    cControlModePID : 1,
    cControlModeZoneFollower : 2,
    cControlModeFixedValue : 3,
    cControlModeManualValue : 4,
    cControlModeAutomatic : 5
};

var AutomaticModeError = {
    AutoOff : 0,
    AutoUnknown : -1,
    AutoNothingSelected : -4,   //no sensor in zone
    AutoSelectionFailed : -5,   //inconsistent valve types
    AutoSelectionNotPossible : -6,   //all valve types unknown
    AutoSelectionNoController : -7   //no controller available
};

var Time = {
        HOUR : 60 * 60,
        HOURS_12 : 12 * 60 * 60,
        DAY : 24 * 60 * 60
}

var CallOrigin = {
        Unknown : 0,
        JSScripting : 1,
        JSON : 2,
        Subscription : 4,
        Test : 6,
        System : 7,
        SystemBinaryInput : 8,
        DsmApi : 9,
        SystemStartup : 10
}

var BaseModeDefinitions = {
        Off : 0,
        CustomPID : -1,
        ZoneFollower : -2,
        Fixed : -3,
        Manual : -4,
        AutoPID : -5,
        AutoFailed : -6,
        AutoNoValves : -7,
        AutoNoSensor : -8,
        AutoNoController : -9
}

